////////////////////////////////
//
// TSSawtoothBlock.h
//
//  1994, 1995, 1996, 1997 Tangent Systems
//
// All rights reserved.
//
// This file contains confidential and proprietary information. No Portion
// of this file may be reproduced, by any means, without the written
// permission of Tangent Systems
//
// Tangent Systems makes no representation or warranties about the suitibility of the software,
// either express or implied, including but not limited to the implied warranties of merchantability,
// fitness for a particular purpose, or non-infringment.
//
// Description:

//
//
// Author: John H. Shackelford, Tangent Systems
// email: jshack@tangentsys.com
//
// Date: 1997/06/20
// Version: A
//
// Revision History:
// 1997/06/20 Revision A - 	Initial Release
//
////////////////////////////////	
	
#ifndef _TSSawtoothBlock_h
#define _TSSawtoothBlock_h

#include "TS_InputBlock.h"
#include "BSMath.h"


#define  PARENT_CLASS TS_InputBlock

class TSSawtoothBlock : public PARENT_CLASS
{
private:
	Real Frequency;
	Real Magnitude;
	Real Bias;
public:
	TSSawtoothBlock(Real sTime, Real sFreq, Real sMag, Real sBias);
protected:
	Real doSignalFunction(Real time);			
};
#endif